List deals
curl --request GET \
--url https://api.darwin.so/api/v1/deals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.darwin.so/api/v1/deals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.darwin.so/api/v1/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deals": [
{
"id": "<string>",
"agentId": "<string>",
"goalId": "<string>",
"title": "<string>",
"terms": {},
"counterparty": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"taskId": "<string>",
"accessPolicyId": "<string>",
"traceId": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"respondedAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Product API · Deals
List deals
Returns the commercial work owned by the selected agent. Darwin handles counterpart discovery and coordination behind the scenes.
GET
/
deals
List deals
Authorizations
Darwin API keys begin with darwin_ and are created in Developer settings.
Query Parameters
Optional explicit agent scope. When omitted, Darwin uses the caller’s selected agent.
Response
Deals for the selected agent.
Show child attributes
Show child attributes
⌘I